/* EasyCODE(C++) V5.1 01.03.1995 08:16:17
Library Management: Main Program */
/* EasyCODE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,100,9220,-13,0,400,0,0,0,0,0,0,3,2,1,34
PrinterFont=Courier,,100,2,-42,0,400,0,0,0,0,0,0,2,1,2,49
LastLevelId=20 */

/* EasyCODE ( 1
   Main program */
#include "libdat.h"

/* EasyCODE ( 16
   Symbolic constants */
#define ONE 1
#define TWO 2
#define THREE 3
#define FOUR 4
#define FIVE 5
#define END 6
/* EasyCODE ) */

/* EasyCODE ( 17
   Global variables */
int ClpBrdUsrNo;
char ClpBrdUsrName[BUFFER_SIZE];
BOOL ClpBrdUsrLock;
user_item user[100];
loan_item loan[100];
int iUserSize;
int iDebtLimit = 50;
int iBookLimit = 5;
int iFilUsr;
int iMaxLoan;
/* EasyCODE ) */

/* EasyCODE ( 18
   Forward declarations */
int MainMenu(void);
void OpenUserFile(void);
void InitUser(user_item&, int, char *, int);

extern BOOL UsrIdent(void);
extern BOOL UsrLock(void);
extern void Stacks(void);
/* EasyCODE ) */

/* EasyCODE ( 3
   main */

/* EasyCODE F */
void main(void)
   {
   int bReturn;
   /* EasyCODE - */
   OpenUserFile();
   if (UsrIdent())
      {
      if (!UsrLock())
         {
         do
            {
            switch (bReturn = MainMenu())
               {
               case ONE:
                  printf("\nStack-room lending\n");
                  Stacks();
                  break;
               case TWO:
                  printf("\nOpen-access lending\n");
                  break;
               case THREE:
                  printf("\nLoan renewal\n");
                  break;
               case FOUR:
                  printf("\nReservation\n");
                  break;
               case FIVE:
                  printf("\nReturn\n");
                  break;
               default:
                  printf("\nExit !\n");
                  break;
               }
            }
         while (bReturn != END);
         }
      }
   }
/* EasyCODE ) */

/* EasyCODE ( 4
   MainMenu */

/* EasyCODE F */
int MainMenu()
   {
/* EasyCODE < */
   int menuSelection;
   
   cout << "\n\n\n\tStack-room lending ..... 1\n";
   cout << "\tOpen-access lending .... 2\n";
   cout << "\tLoan renewal ........... 3\n";
   cout << "\tReservation ............ 4\n";
   cout << "\tReturn ................. 5\n\n";
   cout << "\tEnd .................... 6\n";
   
   cout << "\n\n\n\t\tPlease make your choice: ";
   cin >> menuSelection;
   
   return(menuSelection);
/* EasyCODE > */
   }
/* EasyCODE ) */

/* EasyCODE ( 19
   OpenUserFile */

/* EasyCODE F */
void OpenUserFile(void)
   {
   InitUser(user[0], 1, "Thomas", 0);
   InitUser(user[1], 2, "Michael", 0);
   InitUser(user[2], 3, "Susan", 0);
   InitUser(user[3], 4, "Harry", 550);
   iUserSize = 4;
   }
/* EasyCODE ) */

/* EasyCODE ( 20
   InitUser */

/* EasyCODE F */
void InitUser(user_item& useritem, int number, char *name, int debts)
   {
   useritem.UserNo = number;
   strcpy(useritem.UserName, name);
   useritem.Debts = debts;
   }
/* EasyCODE ) */
/* EasyCODE ) */
